CocoaTweet::OAuth::Key Class Reference

`#include <key.h>`

## Public Member Functions

| Key ()
| Key (const std::string &_consumerKey, const std::string &_consumerSecret, const std::string &_accessToken, const std::string &_accessTokenSecret)
| Key (const std::string &_consumerKey, const std::string &_consumerSecret)
void | consumerKey (const std::string &_consumerKey)
void | consumerSecret (const std::string &_consumerSecret)
void | accessToken (const std::string &_accessToken)
void | accessTokenSecret (const std::string &_accessTokenSecret)
void | bearerToken (const std::string &_bearer)
const std::string & | consumerKey () const
const std::string & | consumerSecret () const
const std::string & | accessToken () const
const std::string & | accessTokenSecret () const
const std::string & | bearerToken () const
std::map< std::string, std::string > | noSecret () const
const std::map< std::string, std::string > | secret () const

## Static Public Member Functions

static Key | fromJsonFile (const std::string _jsonFile)

## Constructor & Destructor Documentation

## Key() [1/3]

CocoaTweet::OAuth::Key::Key | ( |  | ) |

inline

## Key() [2/3]

CocoaTweet::OAuth::Key::Key | ( | const std::string & | _consumerKey,
|  | const std::string & | _consumerSecret,
|  | const std::string & | _accessToken,
|  | const std::string & | _accessTokenSecret
| ) |  |

inline

## Key() [3/3]

CocoaTweet::OAuth::Key::Key | ( | const std::string & | _consumerKey,
|  | const std::string & | _consumerSecret
| ) |  |

inline

## Member Function Documentation

## accessToken() [1/2]

const std::string& CocoaTweet::OAuth::Key::accessToken | ( |  | ) | const

inline

## accessToken() [2/2]

void CocoaTweet::OAuth::Key::accessToken | ( | const std::string & | _accessToken | ) |

inline

## accessTokenSecret() [1/2]

const std::string& CocoaTweet::OAuth::Key::accessTokenSecret | ( |  | ) | const

inline

## accessTokenSecret() [2/2]

void CocoaTweet::OAuth::Key::accessTokenSecret | ( | const std::string & | _accessTokenSecret | ) |

inline

## bearerToken() [1/2]

const std::string& CocoaTweet::OAuth::Key::bearerToken | ( |  | ) | const

inline

## bearerToken() [2/2]

void CocoaTweet::OAuth::Key::bearerToken | ( | const std::string & | _bearer | ) |

inline

## consumerKey() [1/2]

const std::string& CocoaTweet::OAuth::Key::consumerKey | ( |  | ) | const

inline

## consumerKey() [2/2]

void CocoaTweet::OAuth::Key::consumerKey | ( | const std::string & | _consumerKey | ) |

inline

## consumerSecret() [1/2]

const std::string& CocoaTweet::OAuth::Key::consumerSecret | ( |  | ) | const

inline

## consumerSecret() [2/2]

void CocoaTweet::OAuth::Key::consumerSecret | ( | const std::string & | _consumerSecret | ) |

inline

## fromJsonFile()

Key CocoaTweet::OAuth::Key::fromJsonFile | ( | const std::string | _jsonFile | ) |

static

## noSecret()

std::map<std::string, std::string> CocoaTweet::OAuth::Key::noSecret | ( |  | ) | const

inline

## secret()

const std::map<std::string, std::string> CocoaTweet::OAuth::Key::secret | ( |  | ) | const

inline

The documentation for this class was generated from the following files:

- src/cocoatweet/oauth/key.h
- src/cocoatweet/oauth/key.cc